Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 60)
@@ -35,15 +35,21 @@
         public enum NameColumn
         {
             RequestNo = 0,
-            ConstructionCode,
-            OrderersDivision,
-            OrderersCode,
-            AmountPaid,
-            PricePaid,
-            TaxPricePaid,
-            PriceBalance,
-            TaxBalance,
-            AmountBlance,
+            MainConstructionCode,
+            ConstructionName,
+            ContractAmount,
+            PaidAmount,
+            RequestAmount0,
+            RequestAmount1,
+            RequestAmount2,
+            RequestAmount3,
+            RequestAmount4,
+            RequestAmount5,
+            RequestAmount6,
+            UnclaimedAmount,
+            UnpaidAmount,
+            TaxAmount,
+            Note,
             ENTRY_DATE,
             UPDATE_DATE,
         }
@@ -80,15 +86,22 @@
                 // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " RequestNo";
-                strcmd += " ,ConstructionCode";
-                strcmd += " ,OrderersDivision";
-                strcmd += " ,OrderersCode";
-                strcmd += " ,AmountPaid";
-                strcmd += " ,PricePaid";
-                strcmd += " ,TaxPricePaid";
-                strcmd += " ,PriceBalance";
-                strcmd += " ,TaxBalance";
-                strcmd += " ,AmountBlance";
+                strcmd += " ,MainConstructionCode";
+
+                strcmd += " ,ConstructionName";
+                strcmd += " ,ContractAmount";
+                strcmd += " ,PaidAmount";
+                strcmd += " ,RequestAmount0";
+                strcmd += " ,RequestAmount1";
+                strcmd += " ,RequestAmount2";
+                strcmd += " ,RequestAmount3";
+                strcmd += " ,RequestAmount4";
+                strcmd += " ,RequestAmount5";
+                strcmd += " ,RequestAmount6";
+                strcmd += " ,UnclaimedAmount";
+                strcmd += " ,UnpaidAmount";
+                strcmd += " ,TaxAmount";
+                strcmd += " ,Note";
                 strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
                 strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
                 strcmd += " FROM RequestData";
@@ -155,20 +168,27 @@
             {
 
                 strcmd = "INSERT INTO RequestData";
-
                 strcmd += " VALUES (";
 
                 strcmd += string.Format(" {0}", data.RequestNo.ToString());
-                strcmd += string.Format(", {0}", data.ConstructionCode.ToString());
-                strcmd += string.Format(", {0}", data.OrderersDivision.ToString());
-                strcmd += string.Format(", {0}", data.OrderersCode.ToString());
-                strcmd += string.Format(", {0}", data.AmountPaid.ToString());
-                strcmd += string.Format(", {0}", data.PricePaid.ToString());
-                strcmd += string.Format(", {0}", data.TaxPricePaid.ToString());
-                strcmd += string.Format(", {0}", data.PriceBalance.ToString());
-                strcmd += string.Format(", {0}", data.TaxBalance.ToString());
-                strcmd += string.Format(", {0}", data.AmountBlance.ToString());
 
+                strcmd += string.Format(", {0}", data.MainConstructionCode.ToString());
+                strcmd += string.Format(", '{0}'", data.ConstructionName.ToString());
+
+                strcmd += string.Format(", {0}", data.ContractAmount.ToString());
+                strcmd += string.Format(", {0}", data.PaidAmount.ToString());
+                strcmd += string.Format(", {0}", data.RequestAmount0.ToString());
+                strcmd += string.Format(", {0}", data.RequestAmount1.ToString());
+                strcmd += string.Format(", {0}", data.RequestAmount2.ToString());
+                strcmd += string.Format(", {0}", data.RequestAmount3.ToString());
+                strcmd += string.Format(", {0}", data.RequestAmount4.ToString());
+                strcmd += string.Format(", {0}", data.RequestAmount5.ToString());
+                strcmd += string.Format(", {0}", data.RequestAmount6.ToString());
+                strcmd += string.Format(", {0}", data.UnclaimedAmount.ToString());
+                strcmd += string.Format(", {0}", data.UnpaidAmount.ToString());
+                strcmd += string.Format(", {0}", data.TaxAmount.ToString());
+                strcmd += string.Format(", '{0}'", data.Note.ToString());
+
                 strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
@@ -202,20 +222,26 @@
 
                 strcmd += " SET";
 
-                // strcmd += string.Format(" RequestNo = {0}", data.RequestNo.ToString());
-                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode.ToString());
-                strcmd += string.Format(",OrderersDivision = {0}", data.OrderersDivision.ToString());
-                strcmd += string.Format(",OrderersCode = {0}", data.OrderersCode.ToString());
-                strcmd += string.Format(",AmountPaid = {0}", data.AmountPaid.ToString());
-                strcmd += string.Format(",PricePaid = {0}", data.PricePaid.ToString());
-                strcmd += string.Format(",TaxPricePaid = {0}", data.TaxPricePaid.ToString());
-                strcmd += string.Format(",PriceBalance = {0}", data.PriceBalance.ToString());
-                strcmd += string.Format(",TaxBalance = {0}", data.TaxBalance.ToString());
-                strcmd += string.Format(",AmountBlance = {0}", data.AmountBlance.ToString());
+                strcmd += string.Format(" ConstructionName = '{0}'", data.ConstructionName.ToString());
+                strcmd += string.Format(",ContractAmount = {0}", data.ContractAmount.ToString());
+                strcmd += string.Format(",PaidAmount = {0}", data.PaidAmount.ToString());
 
+                strcmd += string.Format(",RequestAmount0 = {0}", data.RequestAmount0.ToString());
+                strcmd += string.Format(",RequestAmount1 = {0}", data.RequestAmount1.ToString());
+                strcmd += string.Format(",RequestAmount2 = {0}", data.RequestAmount2.ToString());
+                strcmd += string.Format(",RequestAmount3 = {0}", data.RequestAmount3.ToString());
+                strcmd += string.Format(",RequestAmount4 = {0}", data.RequestAmount4.ToString());
+                strcmd += string.Format(",RequestAmount5 = {0}", data.RequestAmount5.ToString());
+                strcmd += string.Format(",RequestAmount6 = {0}", data.RequestAmount6.ToString());
+
+                strcmd += string.Format(",UnclaimedAmount = {0}", data.UnclaimedAmount.ToString());
+                strcmd += string.Format(",UnpaidAmount = {0}", data.UnpaidAmount.ToString());
+                strcmd += string.Format(",TaxAmount = {0}", data.TaxAmount.ToString());
+                strcmd += string.Format(",Note = '{0}'", data.Note.ToString());
+
                 strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
 
-                strcmd += string.Format(" Where RequestNo = {0}", data.RequestNo.ToString());
+                strcmd += string.Format(" Where RequestNo = {0} And MainConstructionCode = {1}", data.RequestNo.ToString(), data.MainConstructionCode.ToString());
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -230,6 +256,29 @@
         }
         #endregion
 
+        #region 請求データ更新（複数件更新）
+        /// <summary>
+        /// 請求データ更新（複数件更新）
+        /// </summary>
+        /// <param name="lst">請求データリスト</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(List<RequestData> lst, bool bConnect = true)
+        {
+            string sql;
+
+            foreach( RequestData data in lst )
+            {
+                sql = CreatePrimarykeyString( data.RequestNo, data.MainConstructionCode );
+
+                if( UpdateAction( sql, data, bConnect ) == false)
+                {
+                    return false;
+                }
+            }
+            return true;
+        }
+        #endregion
+
         #region 請求データ削除
         /// <summary>
         /// 請求データ削除
@@ -269,16 +318,23 @@
             {
                 // データ取得
                 wrk.RequestNo = int.Parse(objwrk[(int)NameColumn.RequestNo].ToString());
-                wrk.ConstructionCode = int.Parse(objwrk[(int)NameColumn.ConstructionCode].ToString());
-                wrk.OrderersDivision = int.Parse(objwrk[(int)NameColumn.OrderersDivision].ToString());
-                wrk.OrderersCode = int.Parse(objwrk[(int)NameColumn.OrderersCode].ToString());
-                wrk.AmountPaid = int.Parse(objwrk[(int)NameColumn.AmountPaid].ToString());
-                wrk.PricePaid = int.Parse(objwrk[(int)NameColumn.PricePaid].ToString());
-                wrk.TaxPricePaid = int.Parse(objwrk[(int)NameColumn.TaxPricePaid].ToString());
-                wrk.PriceBalance = int.Parse(objwrk[(int)NameColumn.PriceBalance].ToString());
-                wrk.TaxBalance = int.Parse(objwrk[(int)NameColumn.TaxBalance].ToString());
-                wrk.AmountBlance = int.Parse(objwrk[(int)NameColumn.AmountBlance].ToString());
+                wrk.MainConstructionCode = int.Parse(objwrk[(int)NameColumn.MainConstructionCode].ToString());
 
+                wrk.ConstructionName = objwrk[(int)NameColumn.ConstructionName].ToString();
+                wrk.ContractAmount = int.Parse(objwrk[(int)NameColumn.ContractAmount].ToString());
+                wrk.PaidAmount = int.Parse(objwrk[(int)NameColumn.PaidAmount].ToString());
+                wrk.RequestAmount0 = int.Parse(objwrk[(int)NameColumn.RequestAmount0].ToString());
+                wrk.RequestAmount1 = int.Parse(objwrk[(int)NameColumn.RequestAmount1].ToString());
+                wrk.RequestAmount2 = int.Parse(objwrk[(int)NameColumn.RequestAmount2].ToString());
+                wrk.RequestAmount3 = int.Parse(objwrk[(int)NameColumn.RequestAmount3].ToString());
+                wrk.RequestAmount4 = int.Parse(objwrk[(int)NameColumn.RequestAmount4].ToString());
+                wrk.RequestAmount5 = int.Parse(objwrk[(int)NameColumn.RequestAmount5].ToString());
+                wrk.RequestAmount6 = int.Parse(objwrk[(int)NameColumn.RequestAmount6].ToString());
+                wrk.UnclaimedAmount = int.Parse(objwrk[(int)NameColumn.UnclaimedAmount].ToString());
+                wrk.UnpaidAmount = int.Parse(objwrk[(int)NameColumn.UnpaidAmount].ToString());
+                wrk.TaxAmount = int.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
+                wrk.Note = objwrk[(int)NameColumn.Note].ToString();
+
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
             }
@@ -304,16 +360,24 @@
             {
                 // データ取得
                 wrk.RequestNo = 0;
-                wrk.ConstructionCode = 0;
-                wrk.OrderersDivision = 0;
-                wrk.OrderersCode = 0;
-                wrk.AmountPaid = 0;
-                wrk.PricePaid = 0;
-                wrk.TaxPricePaid = 0;
-                wrk.PriceBalance = 0;
-                wrk.TaxBalance = 0;
-                wrk.AmountBlance = 0;
+                wrk.MainConstructionCode = 0;
 
+                wrk.ConstructionName = "";
+
+                wrk.ContractAmount = 0;
+                wrk.PaidAmount = 0;
+                wrk.RequestAmount0 = 0;
+                wrk.RequestAmount1 = 0;
+                wrk.RequestAmount2 = 0;
+                wrk.RequestAmount3 = 0;
+                wrk.RequestAmount4 = 0;
+                wrk.RequestAmount5 = 0;
+                wrk.RequestAmount6 = 0;
+                wrk.UnclaimedAmount = 0;
+                wrk.UnpaidAmount = 0;
+                wrk.TaxAmount = 0;
+                wrk.Note = "";
+
                 wrk.EntryDate = DateTime.Now;
                 wrk.UpdateDate = DateTime.Now;
             }
@@ -332,14 +396,19 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="BusinessTypeCode"></param>
+        /// <param name="RequestNo">請求No</param>
+        /// <param name="MainConstructionCode">本工事番号</param>
         /// <returns>Where文字列</returns>
-        public string CreatePrimarykeyString(int RequestNo)
+        public string CreatePrimarykeyString(int RequestNo, int MainConstructionCode = 0)
         {
             string strWork = string.Empty;
             try
             {
                 strWork = string.Format(" Where RequestNo = {0}", RequestNo.ToString());
+                if (MainConstructionCode > 0)
+                {
+                    strWork += string.Format(" And MainConstructionCode = {0}", MainConstructionCode.ToString());
+                }
             }
             catch (Exception ex)
             {
@@ -349,30 +418,6 @@
             return strWork;
         }
         #endregion
-
-        #region サブキー検索の文字列を返す
-        /// <summary>
-        /// サブキー検索の文字列を返す
-        /// </summary>
-        /// <param name="BusinessTypeCode"></param>
-        /// <returns>Where文字列</returns>
-        public string CreateSubkeyString(int ConstructionCode)
-        {
-            string strWork = string.Empty;
-            try
-            {
-                strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode.ToString());
-
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
-            }
-
-            return strWork;
-        }
-        #endregion
     }
-
 }
 
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs	(revision 60)
@@ -17,7 +17,7 @@
 namespace ProcessManagement.DB.IOAccess
 {
     /// <summary>
-    /// 請求明細データアクセスクラス
+    /// 請求データ明細アクセスクラス
     /// </summary>
     public class IORequestDataDetail : MySqlProcess
     {
@@ -30,17 +30,16 @@
 
         #region 定数
         /// <summary>
-        /// 請求データフィールド並び
+        /// 請求データ明細フィールド並び
         /// </summary>
         public enum NameColumn
         {
             RequestNo = 0,
-            OrderNo,
+            MainConstructionCode,
             ConstructionCode,
             ConstructionKind,
-            BillPrice,
-            TaxPrice,
-            AmountBlance,
+            RequestAmount,
+            TaxAmount,
             ENTRY_DATE,
             UPDATE_DATE,
         }
@@ -58,9 +57,9 @@
 
         #endregion
 
-        #region 請求明細データ検索
+        #region 請求データ明細検索
         /// <summary>
-        /// 請求明細データ検索
+        /// 請求データ明細検索
         /// </summary>
         /// <param name="AddSQLString"></param>
         /// <param name="data"></param>
@@ -77,12 +76,12 @@
                 // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " RequestNo";
-                strcmd += " ,OrderNo";
+                strcmd += " ,MainConstructionCode";
                 strcmd += " ,ConstructionCode";
+
                 strcmd += " ,ConstructionKind";
-                strcmd += " ,BillPrice";
-                strcmd += " ,TaxPrice";
-                strcmd += " ,AmountBlance";
+                strcmd += " ,RequestAmount";
+                strcmd += " ,TaxAmount";
                 strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
                 strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
                 strcmd += " FROM RequestDataDetail";
@@ -109,11 +108,11 @@
         }
         #endregion
 
-        #region 請求明細データ複数追加
+        #region 請求データ明細複数追加
         /// <summary>
-        /// 請求明細データ複数追加
+        /// 請求データ明細複数追加
         /// </summary>
-        /// <param name="data">請求明細データ</param>
+        /// <param name="data">請求データ明細</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<RequestDataDetail> data, bool bConnect = true)
         {
@@ -135,9 +134,9 @@
         }
         #endregion
 
-        #region 請求明細データ１件追加
+        #region 請求データ明細１件追加
         /// <summary>
-        /// 請求明細データ１件追加
+        /// 請求データ明細１件追加
         /// </summary>
         /// <param name="data"></param>
         /// <param name="bConnect"></param>
@@ -149,16 +148,15 @@
             {
 
                 strcmd = "INSERT INTO RequestDataDetail";
-
                 strcmd += " VALUES (";
 
                 strcmd += string.Format(" {0}", data.RequestNo.ToString());
-                strcmd += string.Format(", {0}", data.OrderNo.ToString());
+                strcmd += string.Format(", {0}", data.MainConstructionCode.ToString());
                 strcmd += string.Format(", {0}", data.ConstructionCode.ToString());
+
                 strcmd += string.Format(", {0}", data.ConstructionKind.ToString());
-                strcmd += string.Format(", {0}", data.BillPrice.ToString());
-                strcmd += string.Format(", {0}", data.TaxPrice.ToString());
-                strcmd += string.Format(", {0}", data.AmountBlance.ToString());
+                strcmd += string.Format(", {0}", data.RequestAmount.ToString());
+                strcmd += string.Format(", {0}", data.TaxAmount.ToString());
 
                 strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
@@ -176,12 +174,12 @@
         }
         #endregion
 
-        #region 請求明細データ更新
+        #region 請求データ明細更新
         /// <summary>
-        /// 請求明細データ更新
+        /// 請求データ明細更新
         /// </summary>
         /// <param name="AddSQLString">更新条件SQL文字列</param>
-        /// <param name="data">請求明細データ</param>
+        /// <param name="data">請求データ明細</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, RequestDataDetail data, bool bConnect = true)
         {
@@ -193,18 +191,15 @@
 
                 strcmd += " SET";
 
-                // strcmd += string.Format(" RequestNo = {0}", data.RequestNo.ToString());
-                // strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
-                // strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode.ToString());
-                strcmd += string.Format(" ConstructionKind = {0}", data.ConstructionKind.ToString());
-                strcmd += string.Format(",BillPrice = {0}", data.BillPrice.ToString());
-                strcmd += string.Format(",TaxPrice = {0}", data.TaxPrice.ToString());
-                strcmd += string.Format(",AmountBlance = {0}", data.AmountBlance.ToString());
+                strcmd += string.Format(" ConstructionKind = '{0}'", data.ConstructionKind.ToString());
+                strcmd += string.Format(",RequestAmount = {0}", data.RequestAmount.ToString());
+                strcmd += string.Format(",TaxAmount = {0}", data.TaxAmount.ToString());
 
                 strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+
                 strcmd += string.Format(" Where RequestNo = {0}", data.RequestNo.ToString());
-                strcmd += string.Format(" And OrderNo = {0}", data.OrderNo.ToString());
-                strcmd += string.Format(" And ConstructionCode = {0}", data.ConstructionCode.ToString());
+                strcmd += string.Format("  And MainConstructionCode = {0}", data.MainConstructionCode.ToString());
+                strcmd += string.Format("  And ConstructionCode = {0} ", data.ConstructionCode.ToString());
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -219,10 +214,34 @@
         }
         #endregion
 
-        #region 請求明細データ削除
+        #region 請求データ明細更新（複数件更新）
         /// <summary>
-        /// 請求明細データ削除
+        /// 請求データ明細更新（複数件更新）
         /// </summary>
+        /// <param name="lst">請求データ明細リスト</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(List<RequestDataDetail> lst, bool bConnect = true)
+        {
+            string sql;
+
+            foreach (RequestDataDetail ReqDetail in lst)
+            {
+                sql = CreatePrimarykeyString(ReqDetail.RequestNo, ReqDetail.MainConstructionCode, ReqDetail.ConstructionCode);
+
+                if (UpdateAction(sql, ReqDetail, bConnect) == false)
+                {
+                    return false;
+                }
+            }
+
+            return true;
+        }
+        #endregion
+
+        #region 請求データ明細削除
+        /// <summary>
+        /// 請求データ明細削除
+        /// </summary>
         /// <param name="AddSQLString">削除条件SQL文字列</param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
@@ -258,12 +277,12 @@
             {
                 // データ取得
                 wrk.RequestNo = int.Parse(objwrk[(int)NameColumn.RequestNo].ToString());
-                wrk.OrderNo = int.Parse(objwrk[(int)NameColumn.OrderNo].ToString());
+                wrk.MainConstructionCode = int.Parse(objwrk[(int)NameColumn.MainConstructionCode].ToString());
                 wrk.ConstructionCode = int.Parse(objwrk[(int)NameColumn.ConstructionCode].ToString());
+
                 wrk.ConstructionKind = int.Parse(objwrk[(int)NameColumn.ConstructionKind].ToString());
-                wrk.BillPrice = int.Parse(objwrk[(int)NameColumn.BillPrice].ToString());
-                wrk.TaxPrice = int.Parse(objwrk[(int)NameColumn.TaxPrice].ToString());
-                wrk.AmountBlance = int.Parse(objwrk[(int)NameColumn.AmountBlance].ToString());
+                wrk.RequestAmount = int.Parse(objwrk[(int)NameColumn.RequestAmount].ToString());
+                wrk.TaxAmount = int.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
@@ -290,12 +309,12 @@
             {
                 // データ取得
                 wrk.RequestNo = 0;
-                wrk.OrderNo = 0;
+                wrk.MainConstructionCode = 0;
                 wrk.ConstructionCode = 0;
+
                 wrk.ConstructionKind = 0;
-                wrk.BillPrice = 0;
-                wrk.TaxPrice = 0;
-                wrk.AmountBlance = 0;
+                wrk.RequestAmount = 0;
+                wrk.TaxAmount = 0;
 
                 wrk.EntryDate = DateTime.Now;
                 wrk.UpdateDate = DateTime.Now;
@@ -315,18 +334,25 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="BusinessTypeCode"></param>
+        /// <param name="RequestNo">請求No</param>
+        /// <param name="MainConstructionCode">本工事番号</param>
+        /// <param name="ConstructionCode">工事番号</param>
         /// <returns>Where文字列</returns>
-        public string CreatePrimarykeyString(int RequestNo, int OrderNo = 0, int ConstructionCode = 0)
+        public string CreatePrimarykeyString(int RequestNo, int MainConstructionCode = 0, int ConstructionCode = 0)
         {
             string strWork = string.Empty;
             try
             {
                 strWork = string.Format(" Where RequestNo = {0}", RequestNo.ToString());
-                if (OrderNo != 0)
-                    strWork += string.Format(" And OrderNo = {0}", OrderNo.ToString());
-                if (ConstructionCode != 0)
+                if (MainConstructionCode > 0)
+                {
+                    strWork += string.Format(" And MainConstructionCode = {0}", MainConstructionCode.ToString());
+                }
+                if (ConstructionCode > 0)
+                {
                     strWork += string.Format(" And ConstructionCode = {0}", ConstructionCode.ToString());
+                }
+
             }
             catch (Exception ex)
             {
@@ -336,6 +362,6 @@
             return strWork;
         }
         #endregion
-
     }
 }
+
